# Class QuickviewEvents

The `QuickviewEvents` static class contains the string definitions of all events that strongly relate to the `Quickview` component.

## Index

### Properties

- openQuickview
- quickviewLoaded

## Properties

### Static openQuickview

openQuickview: string

- Defined in events/QuickviewEvents.ts :42

Triggered by the `QuickviewDocument` component when the end user has just clicked the Quickview button/link to open the quickview modal window.

This event allows external code to modify the terms to highlight before the content of the quickview modal window is rendered.

All `openQuickview` event handlers receive an [`OpenQuickviewEventArgs`]{@link ResultListEvents.IOpenQuickviewEventArgs} object as an argument.

type

  {string} The string value is `openQuickview`.

### Static quickviewLoaded

quickviewLoaded: string

- Defined in events/QuickviewEvents.ts :28

Triggered by the `QuickviewDocument` component when the content to display in the quickview modal window has just finished downloading.

The `Quickview` component listens to this event to know when to remove its loading animation.

All `quickviewLoaded` event handlers receive a `QuickviewLoadedEventArgs` object as an argument.

type

  {string} The string value is `quickviewLoaded`.

### Hierarchy

- QuickviewEvents